Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class Fifo

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.Vector
                  org.joone.engine.Fifo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class Fifo

extends java.util.Vector

The `Fifo` class represents a first-in-first-out (FIFO) stack of objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Fifo()`

Method Summary
`boolean` | `empty()` Tests if this stack is empty.
`java.lang.Object` | `peek()` Looks at the object at the top of this stack without removing it from the stack.
`java.lang.Object` | `pop()` Removes the object at the top of this stack and returns that object as the value of this function.
`java.lang.Object` | `push(java.lang.Object item)` Pushes an item onto the top of this stack.
`int` | `search(java.lang.Object o)` Returns where an object is on this stack.

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### Fifo

    public Fifo()

Method Detail

### empty

    public boolean empty()

  Tests if this stack is empty.

  Returns:
    `true` if this stack is empty; `false` otherwise.

### peek

    public java.lang.Object peek()

  Looks at the object at the top of this stack without removing it from the stack.

  Returns:
    the object at the top of this stack.
  Throws:
    `EmptyStackException` - if this stack is empty.

### pop

    public java.lang.Object pop()

  Removes the object at the top of this stack and returns that object as the value of this function.

  Returns:
    The object at the top of this stack.
  Throws:
    `EmptyStackException` - if this stack is empty.

### push

    public java.lang.Object push(java.lang.Object item)

  Pushes an item onto the top of this stack.

  Parameters:
    `item` - the item to be pushed onto this stack.
  Returns:
    the `item` argument.

### search

    public int search(java.lang.Object o)

  Returns where an object is on this stack.

  Parameters:
    `o` - the desired object.
  Returns:
    the distance from the top of the stack where the object is] located; the return value `-1` indicates that the object is not on the stack.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net